package fr.enst.cours.network;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;
import java.net.UnknownHostException;

public class ClientBasique {

	public static void main(String[] args) {
		Socket connexion = null;
		try {
			connexion = new Socket("localhost",4242);
		} catch (UnknownHostException e) {
			System.err.println("Machine inconnue : localhost");
			System.exit(-1);
		} catch (IOException e) {
			System.err.println("Connexion impossible au serveur");
			System.exit(-1);
		}
		try {
			BufferedReader in = new BufferedReader(new InputStreamReader(connexion.getInputStream()));
			PrintWriter out = new PrintWriter(connexion.getOutputStream(), true);
			System.out.println("J'envoie 'toto'");
			out.println("toto");
			System.out.println("Je reçois :"+in.readLine());
			
			out.close();
			in.close();
			connexion.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(-1);
		}
	}

}
