package fr.enst.cours.network;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

public class EchoServerMultiple {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		ServerSocket serverSocket = null;
		try {
			serverSocket = new ServerSocket(4242);
		} catch (IOException e) {
			System.err.println("Impossible d'ouvrir le port 4242");
			System.exit(-1);
		}
		System.out.println("Serveur démarré");
		Socket clientSocket = null;
		while (true) {
			try {
				clientSocket = serverSocket.accept();
				new EchoServerThread(clientSocket).start();
			} catch (IOException e) {
				System.err.println("Connexion avec le client impossible");
			}
		}
	}

}
