package fr.enst.cours.thread;

public class BALTimeOut extends BoiteAuxLettres {

	public synchronized boolean trySetMessage(String message, long timeout) {
		if (message != null) {
			if (this.message != null) {
				try {
					wait(timeout);
				} catch (InterruptedException e) {
				}
				if (this.message == null) {
					this.message = message;
					notifyAll();
					return true;
				}
			}
		}
		return false;
	}

	public synchronized String tryGetMessage(long timeout) {
		if (message == null) {
			try {
				wait(timeout);
			} catch (InterruptedException e) {
			}
		}
		String resultat = message;
		if (message != null) {
			message = null;
			notifyAll();
		} 
		return resultat;
	}

}
