package fr.enst.cours.thread;

public class DemoBALTimeOut {

	public static void main(String[] args) {
		final BALTimeOut bal = new BALTimeOut();
		Thread t1 = new Thread(new Runnable() {
			@Override
			public void run() {
				String message = null;
				do {
					message = bal.tryGetMessage(1000);
					if(message==null) {
						System.out.println("Toujours rien...");
					}
				} while (message == null);
				System.out.println("Message reçu : " + message);
			}

		});
		Thread t2 = new Thread(new Runnable() {
			@Override
			public void run() {
				bal.setMessage("Mon message");
				System.out.println("Message émis");
			}

		});
		System.out.println("Démarrage du lecteur");
		t1.start();
		System.out.println("Attente");
		try {
			Thread.sleep(4500);
		} catch (InterruptedException e) {
		}
		System.out.println("Démarrage de l'écrivain");
		t2.start();
		System.out.println("Fin du main");
	}

}
